This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 856226 - Ambiguous User/PW prompts during installation [TEXT]
Ambiguous User/PW prompts during installation [TEXT]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Lourie
Ilanit Stein
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 09:50 EDT by Keith Robertson
Modified: 2016-07-03 21:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: si-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Keith Robertson 2012-09-11 09:50:20 EDT
Description of problem:
The installer isn't clear as to which user ID and password is being requested during installation.  It should clearly state the user for which the password is being requested and *why* it is needed.  This help the user understand what is being requested and why.

Suggested interaction:
 Please enter the password for the Postgres admin user, postgres, so that a RHEVM DB can be created:
 Please enter the user name for the Postgres RHEVM DB (default=rhevm): <- This is *really* important for externally administered DBs.
 Please enter the password for the Postgres RHEVM DB user named rhevm:
 Please enter the password for the RHEVM user admin@internal:
Comment 15 Alex Lourie 2012-10-03 10:33:02 EDT
Fix posted  for review upstream: http://gerrit.ovirt.org/#/c/8307/
Comment 20 Ilanit Stein 2012-11-11 10:44:17 EST
Verified on SI24:

From installation log:

"Enter a password for an internal RHEV Manager administrator user (admin@internal) :"
"Enter DB type for installation ['remote'| 'local']  [local] : 
Enter a password for a local RHEV Manager DB admin user (engine) :"

Note You need to log in before you can comment on or make changes to this bug.